summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--init.d/bootmisc.in8
-rw-r--r--init.d/consolefont.in2
-rw-r--r--init.d/keymaps.in2
-rw-r--r--init.d/termencoding.in2
-rw-r--r--sh/runscript.sh.in5
5 files changed, 7 insertions, 12 deletions
diff --git a/init.d/bootmisc.in b/init.d/bootmisc.in
index d75cb6e..a2afbf9 100644
--- a/init.d/bootmisc.in
+++ b/init.d/bootmisc.in
@@ -20,7 +20,7 @@ cleanup_tmp_dir()
if ! [ -d "$dir" ]; then
mkdir -p "$dir" || return $?
fi
- dir_writable "$dir" || return 1
+ checkpath -W "$dir" || return 1
chmod a+rwt "$dir" 2> /dev/null
cd "$dir" || return 1
if yesno $wipe_tmp; then
@@ -117,7 +117,7 @@ start()
migrate_to_run /var/run /run
fi
- if dir_writable /var/run; then
+ if checkpath -W /var/run; then
ebegin "Creating user login records"
local xtra=
[ "$RC_UNAME" = NetBSD ] && xtra=x
@@ -159,7 +159,7 @@ start()
cleanup_tmp_dir "$tmp"
done
- if dir_writable /tmp; then
+ if checkpath -W /tmp; then
# Make sure our X11 stuff have the correct permissions
# Omit the chown as bootmisc is run before network is up
# and users may be using lame LDAP auth #139411
@@ -172,7 +172,7 @@ start()
fi
if yesno $log_dmesg; then
- if $logw || dir_writable /var/log; then
+ if $logw || checkpath -W /var/log; then
# Create an 'after-boot' dmesg log
if [ "$RC_SYS" != VSERVER -a "$RC_SYS" != OPENVZ ]; then
dmesg > /var/log/dmesg
diff --git a/init.d/consolefont.in b/init.d/consolefont.in
index 2f046d8..66b780d 100644
--- a/init.d/consolefont.in
+++ b/init.d/consolefont.in
@@ -54,7 +54,7 @@ start()
eend $retval
# Store the last font so we can use it ASAP on boot
- if [ $retval -eq 0 ] && dir_writable "$RC_LIBEXECDIR"; then
+ if [ $retval -eq 0 ] && checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
for font in /usr/share/consolefonts/"$consolefont".*; do
:
diff --git a/init.d/keymaps.in b/init.d/keymaps.in
index 851af5e..a55a0e0 100644
--- a/init.d/keymaps.in
+++ b/init.d/keymaps.in
@@ -63,7 +63,7 @@ start()
fi
# Save the keymapping for use immediately at boot
- if dir_writable "$RC_LIBEXECDIR"; then
+ if checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
dumpkeys >"$RC_LIBEXECDIR"/console/keymap
fi
diff --git a/init.d/termencoding.in b/init.d/termencoding.in
index b421898..af4ed15 100644
--- a/init.d/termencoding.in
+++ b/init.d/termencoding.in
@@ -35,7 +35,7 @@ start()
done
# Save the encoding for use immediately at boot
- if dir_writable "$RC_LIBEXECDIR"; then
+ if checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
if yesno ${unicode:-${UNICODE}}; then
echo "" > "$RC_LIBEXECDIR"/console/unicode
diff --git a/sh/runscript.sh.in b/sh/runscript.sh.in
index faa85cc..18bf4c3 100644
--- a/sh/runscript.sh.in
+++ b/sh/runscript.sh.in
@@ -4,11 +4,6 @@
# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.
-dir_writable()
-{
- mkdir "$1"/.test.$$ 2>/dev/null && rmdir "$1"/.test.$$
-}
-
sourcex()
{
if [ "$1" = "-e" ]; then